This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 965341 - Update emails to add Beaker specific headers
Update emails to add Beaker specific headers
Status: CLOSED NOTABUG
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.12
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: beaker-dev-list
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 20:53 EDT by Raymond Mancy
Modified: 2014-12-07 20:15 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-01 03:11:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raymond Mancy 2013-05-20 20:53:22 EDT
Description of problem:

Some emails from Beaker are sent with notification headers and some not.

Version-Release number of selected component (if applicable):

0.12

How reproducible:


Steps to Reproduce:
1. Check all the emails generated by 'beaker'
2.
3.

Actual results:

Some do have beaker specific headers, some do not.

Expected results:

All behave consistently 

Additional info:
Comment 2 Dan Callaghan 2014-04-01 03:11:13 EDT
Beaker's notification mails all include at least an X-Beaker-Notification header, indicating the type of notification, as well as further X- headers giving extra metadata about the notification. System loan requests, problem reports, and broken notifications include the following headers:

X-Beaker-Notification
X-Beaker-System
X-Lender
X-Owner
X-Location
X-Lab-Controller
X-Vendor
X-Type
X-Arch

Job completion notifications include:

X-Beaker-Notification
X-Beaker-Job-ID

Group membership notifications include:

X-Beaker-Notification
X-Beaker-Group
X-Beaker-Group-Action

If there are any further requests for more headers not already covered, they can be filed as new RFEs.
Comment 3 Nick Coghlan 2014-04-01 03:38:36 EDT
The reservation email is sent directly by the reservesys task rather than by the server. If that's what this BZ was alluding to, it may be addressed by the RFE to add a server based scheduled reservation mechanism.

Note You need to log in before you can comment on or make changes to this bug.